Skip to main content

October 6, 2026

· 5 min read

This release renames the has_issues parameter to has_open_issues across customer segmentation and reporting endpoints, providing more precise filtering by specifically targeting customers with open (unresolved) issues rather than any issues historically associated with the account.

POST /crm/customer_segments

  • removed the request property query/has_issues (media type: application/json)
  • added the new optional request property query/has_open_issues (media type: application/json)
  • added the optional property query/has_open_issues to the response with the 201 status (media type: application/json)
  • removed the optional property query/has_issues from the response with the 201 status (media type: application/json)
View updated docs

GET /reports/customers.grouped/data

  • deleted the query request parameter has_issues
  • added the new optional query request parameter has_open_issues
View updated docs

POST /reports/customers.grouped/export

  • removed the request property has_issues (media type: application/json)
  • added the new optional request property has_open_issues (media type: application/json)
View updated docs

GET /reports/customers/data

  • deleted the query request parameter has_issues
  • added the new optional query request parameter has_open_issues
View updated docs

POST /reports/customers/export

  • removed the request property has_issues (media type: application/json)
  • added the new optional request property has_open_issues (media type: application/json)
View updated docs

GET /crm/customer_segments

  • added the optional property results/items/query/has_open_issues to the response with the 200 status (media type: application/json)
  • removed the optional property results/items/query/has_issues from the response with the 200 status (media type: application/json)
View updated docs

GET /crm/customer_segments/{id}

  • added the optional property query/has_open_issues to the response with the 200 status (media type: application/json)
  • removed the optional property query/has_issues from the response with the 200 status (media type: application/json)
View updated docs

PATCH /crm/customer_segments/{id}

  • added the optional property query/has_open_issues to the response with the 200 status (media type: application/json)
  • removed the optional property query/has_issues from the response with the 200 status (media type: application/json)
View updated docs

PUT /crm/customer_segments/{id}

  • added the optional property query/has_open_issues to the response with the 200 status (media type: application/json)
  • removed the optional property query/has_issues from the response with the 200 status (media type: application/json)
View updated docs